summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorKarel Zak2007-05-22 16:06:24 +0200
committerKarel Zak2007-05-22 18:39:17 +0200
commit5715bd9e6ae5cf421cfc3598f559baeee5e56266 (patch)
tree590c4b083134dc36851a08863115ea755d23db9e /tests
parenttests: add support for fstab modification (diff)
downloadkernel-qcow2-util-linux-5715bd9e6ae5cf421cfc3598f559baeee5e56266.tar.gz
kernel-qcow2-util-linux-5715bd9e6ae5cf421cfc3598f559baeee5e56266.tar.xz
kernel-qcow2-util-linux-5715bd9e6ae5cf421cfc3598f559baeee5e56266.zip
tests: add mount by label from fstab test
Signed-off-by: Karel Zak <kzak@redhat.com>
Diffstat (limited to 'tests')
-rw-r--r--tests/Makefile.am1
-rw-r--r--tests/expected/ts-fstab-label1
-rwxr-xr-xtests/ts-fstab-label60
3 files changed, 62 insertions, 0 deletions
diff --git a/tests/Makefile.am b/tests/Makefile.am
index a9d167d0f..e6e5a7e4f 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -9,6 +9,7 @@ EXTRA_DIST = expected/ \
run.sh \
ts-col-multibyte \
ts-cramfs-mkfs \
+ ts-fstab-label \
ts-hwclock-systohc \
ts-ipcs-headers \
ts-ipcs-limits \
diff --git a/tests/expected/ts-fstab-label b/tests/expected/ts-fstab-label
new file mode 100644
index 000000000..35821117c
--- /dev/null
+++ b/tests/expected/ts-fstab-label
@@ -0,0 +1 @@
+Success
diff --git a/tests/ts-fstab-label b/tests/ts-fstab-label
new file mode 100755
index 000000000..9d922b498
--- /dev/null
+++ b/tests/ts-fstab-label
@@ -0,0 +1,60 @@
+#!/bin/bash
+
+#
+# Copyright (C) 2007 Karel Zak <kzak@redhat.com>
+#
+# This file is part of util-linux-ng.
+#
+# This file is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License.
+#
+# This file is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+
+. commands.sh
+. functions.sh
+
+TS_COMPONENT="fstab"
+TS_DESC="label"
+
+LABEL="testFstabLabel"
+
+ts_init "$1"
+ts_skip_nonroot
+
+set -o pipefail
+
+DEVICE=$(ts_device_init)
+[ "$?" == 0 ] || ts_die "Cannot init device"
+
+mkfs.ext3 -L $LABEL $DEVICE &> /dev/null
+[ "$?" == "0" ] || ts_die "Cannot make ext3 on $DEVICE" $DEVICE
+
+ts_device_has "LABEL" $LABEL $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot found LABEL '$LABEL' on $DEVICE" $DEVICE
+
+ts_udev_dev_support "by-label" $LABEL
+[ "$?" == "0" ] || ts_skip "udev ignores /dev/loop*" $DEVICE
+
+[ -d "$TS_MOUNTPOINT" ] || mkdir -p $TS_MOUNTPOINT
+
+ts_fstab_add "LABEL=$LABEL"
+
+$TS_CMD_MOUNT $TS_MOUNTPOINT 2>&1 >> $TS_OUTPUT
+
+grep -q $DEVICE /proc/mounts
+[ "$?" == "0" ] || ts_die "Cannot found $DEVICE in /proc/mounts" $DEVICE
+
+$TS_CMD_UMOUNT $DEVICE
+[ "$?" == "0" ] || ts_die "Cannot umount $DEVICE" $DEVICE
+
+ts_device_deinit $DEVICE
+ts_fstab_clean
+
+ts_log "Success"
+ts_finalize
+